﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartGettingStarted
{
    public class ChartSample : ContentPage
    {
        List<dynamic> ChartData { get; set; }
        public ChartSample()
        {
            SfChart chart = new SfChart();

            CategoryAxis primaryAxis = new CategoryAxis();
            primaryAxis.Title.Text = "Month";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "Count";
            chart.SecondaryAxis = secondaryAxis;

            ColumnSeriesExt series = new ColumnSeriesExt();
            List<dynamic> ChartData = new List<dynamic>();

            dynamic seriesmodel1 = new ExpandoObject();
            seriesmodel1.Month = "JAN";
            seriesmodel1.Count = 12;
            ChartData.Add(seriesmodel1);

            dynamic seriesmodel2 = new ExpandoObject();
            seriesmodel2.Month = "FEB";
            seriesmodel2.Count = 92;
            ChartData.Add(seriesmodel2);

            series.ItemsSource = ChartData;
            series.XBindingPath = "Month";
            series.YBindingPath = "Count";
            chart.Series.Add(series);

            chart.Title.Text = "Month vs Count";
            this.Content = chart;
        }
    }
}
